チームとフリート›テクニシャンの更新
テクニシャンの更新
変更可能なテクニシャンのプロフィールフィールドを更新します。`start_location_type=office` は現在のビジネス住所 + 座標を再スナップショットします(ボディの `address`/`start_location_lat`/`start_location_long` は無視されます。ビジネスの座標が必要で、なければ 400 BUSINESS_LOCATION_MISSING)。`start_location_type=home`(または空)はボディの住所 + 座標を使用します。
引数
idstringpath必須
テクニシャン ID
▾addressobjectbody任意
Home address (the day-start point when start_location_type=home).
assignment_tierenumbody任意
クルーティア: lead / buddy / float(float = 自動クルー割り当てから除外)。
business_group_idstringbody必須
ロールグループです。ID は GET /permission/groups で確認できます。
emailstringbody任意
Email address. At least one of phone/email is required.
full_namestringbody必須
The person's full display name. Required; max 255 chars.
job_titlestringbody任意
表示用の肩書きです。
join_datestringbody任意
初出勤日(YYYY-MM-DD)です。
phonestringbody任意
phone/email の少なくとも一方が必須です。
start_location_latnumberbody任意
Explicit day-start latitude in decimal degrees (-90..90); when set it wins over the address geocode.
start_location_longnumberbody任意
Explicit day-start longitude in decimal degrees (-180..180); when set it wins over the address geocode.
start_location_typeenumbody任意
当日開始地点: home または office。明示的な座標が設定されている場合はそちらが優先されます。
PUT/v1/technicians/{id}
curl -X PUT "https://api.crisphive.com/v1/technicians/9b2f6c3e-1a4d-4f0a-8f2e-7c5d1b3a9e01" \ -H "Authorization: Bearer chsk_test_4eC8xQ9mZ2pL7Ka0rT" \ -H "Content-Type: application/json" \ -d '{ "address": { "city": "San Francisco", "country": "US", "formatted": "123 Market Street, San Francisco, CA 94103", "line": "123 Market Street", "line2": "Suite 200", "postal_code": "94103", "state": "CA" }, "assignment_tier": "lead", "business_group_id": "9b2f6c3e-1a4d-4f0a-8f2e-7c5d1b3a9e01", "email": "jane.doe@example.com", "full_name": "Jane Cooper", "job_title": "Sample title", "join_date": "2026-07-02", "phone": "+14155550142", "start_location_lat": 1, "start_location_long": 1, "start_location_type": "home" }'
リクエストボディ
{
"address": {
"city": ,
"country": ,
"formatted": ,
"line": ,
"line2": ,
"postal_code": ,
"state":
},
"assignment_tier": ,
"business_group_id": ,
"email": ,
"full_name": ,
"job_title": ,
"join_date": ,
"phone": ,
"start_location_lat": ,
"start_location_long": ,
"start_location_type":
}
Bearer